#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "K36MageHandSurvivorPalletSelectionVFX.generated.h"

class APallet;

UCLASS(Blueprintable)
class THEK36_API AK36MageHandSurvivorPalletSelectionVFX : public AActor
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintPure)
	APallet* GetTargetPallet() const;

protected:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_SethighlightActivationState(bool isActive);

public:
	AK36MageHandSurvivorPalletSelectionVFX();
};

FORCEINLINE uint32 GetTypeHash(const AK36MageHandSurvivorPalletSelectionVFX) { return 0; }
